zenilib: zenilib/jni/external/sdl/src/test/SDL_test_md5.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
SDL_test_md5.c File Reference
`#include "SDL_config.h"`
`#include "SDL_test.h"`

Go to the source code of this file.

## Macros

#define | F(x, y, z) (((x) & (y)) | ((~x) & (z)))
#define | FF(a, b, c, d, x, s, ac)
#define | G(x, y, z) (((x) & (z)) | ((y) & (~z)))
#define | GG(a, b, c, d, x, s, ac)
#define | H(x, y, z) ((x) ^ (y) ^ (z))
#define | HH(a, b, c, d, x, s, ac)
#define | I(x, y, z) ((y) ^ ((x) | (~z)))
#define | II(a, b, c, d, x, s, ac)
#define | ROTATE_LEFT(x, n) (((x) << (n)) | ((x) >> (32-(n))))
#define | S11 7
#define | S12 12
#define | S13 17
#define | S14 22
#define | S21 5
#define | S22 9
#define | S23 14
#define | S24 20
#define | S31 4
#define | S32 11
#define | S33 16
#define | S34 23
#define | S41 6
#define | S42 10
#define | S43 15
#define | S44 21

## Functions

void | SDLTest_Md5Final (SDLTest_Md5Context *mdContext)
void | SDLTest_Md5Init (SDLTest_Md5Context *mdContext)
static void | SDLTest_Md5Transform (MD5UINT4 *buf, MD5UINT4 *in)
void | SDLTest_Md5Update (SDLTest_Md5Context *mdContext, unsigned char *inBuf, unsigned int inLen)

## Variables

static unsigned char | MD5PADDING [64]

## Macro Definition Documentation

#define F | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | (((x) & (y)) | ((~x) & (z)))

Definition at line 73 of file SDL_test_md5.c.

Referenced by SDL_MixAudioFormat().

#define FF | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x,
|  |  | s,
|  |  | ac
| ) |  |

Value:
{(a) += F ((b), (c), (d)) + (x) + (MD5UINT4)(ac); \
(a) = ROTATE_LEFT ((a), (s)); \
(a) += (b); \
}
s
GLdouble s
Definition: glew.h:1376
ROTATE_LEFT
#define ROTATE_LEFT(x, n)
Definition: SDL_test_md5.c:79
x
EGLSurface EGLint x
Definition: eglext.h:293
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
c
const GLfloat * c
Definition: glew.h:14913
MD5UINT4
unsigned long int MD5UINT4
Definition: SDL_test_md5.h:68
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383
F
#define F(x, y, z)
Definition: SDL_test_md5.c:73

Definition at line 84 of file SDL_test_md5.c.

Referenced by SDLTest_Md5Transform().

#define G | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | (((x) & (z)) | ((y) & (~z)))

Definition at line 74 of file SDL_test_md5.c.

Referenced by Map1toN(), SDL_Blit_ABGR8888_ARGB8888_Modulate(), SDL_Blit_ABGR8888_ARGB8888_Modulate_Scale(), SDL_Blit_ABGR8888_ARGB8888_Scale(), SDL_Blit_ABGR8888_BGR888_Modulate(), SDL_Blit_ABGR8888_BGR888_Modulate_Scale(), SDL_Blit_ABGR8888_BGR888_Scale(), SDL_Blit_ABGR8888_RGB888_Modulate(), SDL_Blit_ABGR8888_RGB888_Modulate_Scale(), SDL_Blit_ABGR8888_RGB888_Scale(), SDL_Blit_ARGB8888_ARGB8888_Modulate(), SDL_Blit_ARGB8888_ARGB8888_Modulate_Scale(), SDL_Blit_ARGB8888_BGR888_Modulate(), SDL_Blit_ARGB8888_BGR888_Modulate_Scale(), SDL_Blit_ARGB8888_BGR888_Scale(), SDL_Blit_ARGB8888_RGB888_Modulate(), SDL_Blit_ARGB8888_RGB888_Modulate_Scale(), SDL_Blit_ARGB8888_RGB888_Scale(), SDL_Blit_BGR888_ARGB8888_Modulate(), SDL_Blit_BGR888_ARGB8888_Modulate_Scale(), SDL_Blit_BGR888_ARGB8888_Scale(), SDL_Blit_BGR888_BGR888_Modulate(), SDL_Blit_BGR888_BGR888_Modulate_Scale(), SDL_Blit_BGR888_RGB888_Modulate(), SDL_Blit_BGR888_RGB888_Modulate_Scale(), SDL_Blit_BGR888_RGB888_Scale(), SDL_Blit_BGRA8888_ARGB8888_Modulate(), SDL_Blit_BGRA8888_ARGB8888_Modulate_Scale(), SDL_Blit_BGRA8888_ARGB8888_Scale(), SDL_Blit_BGRA8888_BGR888_Modulate(), SDL_Blit_BGRA8888_BGR888_Modulate_Scale(), SDL_Blit_BGRA8888_BGR888_Scale(), SDL_Blit_BGRA8888_RGB888_Modulate(), SDL_Blit_BGRA8888_RGB888_Modulate_Scale(), SDL_Blit_BGRA8888_RGB888_Scale(), SDL_Blit_RGB888_ARGB8888_Modulate(), SDL_Blit_RGB888_ARGB8888_Modulate_Scale(), SDL_Blit_RGB888_ARGB8888_Scale(), SDL_Blit_RGB888_BGR888_Modulate(), SDL_Blit_RGB888_BGR888_Modulate_Scale(), SDL_Blit_RGB888_BGR888_Scale(), SDL_Blit_RGB888_RGB888_Modulate(), SDL_Blit_RGB888_RGB888_Modulate_Scale(), SDL_Blit_RGBA8888_ARGB8888_Modulate(), SDL_Blit_RGBA8888_ARGB8888_Modulate_Scale(), SDL_Blit_RGBA8888_ARGB8888_Scale(), SDL_Blit_RGBA8888_BGR888_Modulate(), SDL_Blit_RGBA8888_BGR888_Modulate_Scale(), SDL_Blit_RGBA8888_BGR888_Scale(), SDL_Blit_RGBA8888_RGB888_Modulate(), SDL_Blit_RGBA8888_RGB888_Modulate_Scale(), SDL_Blit_RGBA8888_RGB888_Scale(), and SDLTest_CompareSurfaces().

#define GG | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x,
|  |  | s,
|  |  | ac
| ) |  |

Value:
{(a) += G ((b), (c), (d)) + (x) + (MD5UINT4)(ac); \
(a) = ROTATE_LEFT ((a), (s)); \
(a) += (b); \
}
s
GLdouble s
Definition: glew.h:1376
ROTATE_LEFT
#define ROTATE_LEFT(x, n)
Definition: SDL_test_md5.c:79
x
EGLSurface EGLint x
Definition: eglext.h:293
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
c
const GLfloat * c
Definition: glew.h:14913
MD5UINT4
unsigned long int MD5UINT4
Definition: SDL_test_md5.h:68
G
#define G(x, y, z)
Definition: SDL_test_md5.c:74
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383

Definition at line 89 of file SDL_test_md5.c.

Referenced by SDLTest_Md5Transform().

#define H | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | ((x) ^ (y) ^ (z))

Definition at line 75 of file SDL_test_md5.c.

#define HH | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x,
|  |  | s,
|  |  | ac
| ) |  |

Value:
{(a) += H ((b), (c), (d)) + (x) + (MD5UINT4)(ac); \
(a) = ROTATE_LEFT ((a), (s)); \
(a) += (b); \
}
s
GLdouble s
Definition: glew.h:1376
ROTATE_LEFT
#define ROTATE_LEFT(x, n)
Definition: SDL_test_md5.c:79
x
EGLSurface EGLint x
Definition: eglext.h:293
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
H
#define H(x, y, z)
Definition: SDL_test_md5.c:75
c
const GLfloat * c
Definition: glew.h:14913
MD5UINT4
unsigned long int MD5UINT4
Definition: SDL_test_md5.h:68
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383

Definition at line 94 of file SDL_test_md5.c.

Referenced by SDLTest_Md5Transform().

#define I | ( |  | x,
|  |  | y,
|  |  | z
| ) |  | ((y) ^ ((x) | (~z)))

Definition at line 76 of file SDL_test_md5.c.

#define II | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x,
|  |  | s,
|  |  | ac
| ) |  |

Value:
{(a) += I ((b), (c), (d)) + (x) + (MD5UINT4)(ac); \
(a) = ROTATE_LEFT ((a), (s)); \
(a) += (b); \
}
s
GLdouble s
Definition: glew.h:1376
ROTATE_LEFT
#define ROTATE_LEFT(x, n)
Definition: SDL_test_md5.c:79
x
EGLSurface EGLint x
Definition: eglext.h:293
a
GLboolean GLboolean GLboolean GLboolean a
Definition: glew.h:8736
d
return Display return Display Bool Bool int d
Definition: SDL_x11sym.h:30
c
const GLfloat * c
Definition: glew.h:14913
I
#define I(x, y, z)
Definition: SDL_test_md5.c:76
MD5UINT4
unsigned long int MD5UINT4
Definition: SDL_test_md5.h:68
b
GLdouble GLdouble GLdouble b
Definition: glew.h:8383

Definition at line 99 of file SDL_test_md5.c.

Referenced by SDLTest_Md5Transform().

#define ROTATE_LEFT | ( |  | x,
|  |  | n
| ) |  | (((x) << (n)) | ((x) >> (32-(n))))

Definition at line 79 of file SDL_test_md5.c.

#define S11 7

Referenced by SDLTest_Md5Transform().

#define S12 12

Referenced by SDLTest_Md5Transform().

#define S13 17

Referenced by SDLTest_Md5Transform().

#define S14 22

Referenced by SDLTest_Md5Transform().

#define S21 5

Referenced by SDLTest_Md5Transform().

#define S22 9

Referenced by SDLTest_Md5Transform().

#define S23 14

Referenced by SDLTest_Md5Transform().

#define S24 20

Referenced by SDLTest_Md5Transform().

#define S31 4

Referenced by SDLTest_Md5Transform().

#define S32 11

Referenced by SDL_ParseAudioFormat(), and SDLTest_Md5Transform().

#define S33 16

Referenced by SDLTest_Md5Transform().

#define S34 23

Referenced by SDLTest_Md5Transform().

#define S41 6

Referenced by SDLTest_Md5Transform().

#define S42 10

Referenced by SDLTest_Md5Transform().

#define S43 15

Referenced by SDLTest_Md5Transform().

#define S44 21

Referenced by SDLTest_Md5Transform().

## Function Documentation

void SDLTest_Md5Final | ( | SDLTest_Md5Context * | mdContext | ) |

Definition at line 180 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::digest, SDLTest_Md5Context::i, i, SDLTest_Md5Context::in, int, MD5PADDING, NULL, SDLTest_Md5Transform(), and SDLTest_Md5Update().

Referenced by SDLTest_GenerateExecKey().

void SDLTest_Md5Init | ( | SDLTest_Md5Context * | mdContext | ) |

/brief initialize the context

/param mdContext pointer to context variable

Note: The function initializes the message-digest context mdContext. Call before each new use of the context - all fields are set to zero.

Definition at line 110 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::i, and NULL.

Referenced by SDLTest_GenerateExecKey().

static void SDLTest_Md5Transform | ( | MD5UINT4 * | buf,
|  | MD5UINT4 * | in
| ) |  |

static

Definition at line 232 of file SDL_test_md5.c.

References d, FF, GG, HH, II, S11, S12, S13, S14, S21, S22, S23, S24, S31, S32, S33, S34, S41, S42, S43, S44, and u.

Referenced by SDLTest_Md5Final(), and SDLTest_Md5Update().

void SDLTest_Md5Update | ( | SDLTest_Md5Context * | mdContext,
|  | unsigned char * | inBuf,
|  | unsigned int | inLen
| ) |  |

/brief update digest from variable length data

/param mdContext pointer to context variable /param inBuf pointer to data array/string /param inLen length of data array/string

Note: The function updates the message-digest context to account for the presence of each of the characters inBuf[0..inLen-1] in the message whose digest is being computed.

Definition at line 131 of file SDL_test_md5.c.

References SDLTest_Md5Context::buf, SDLTest_Md5Context::i, i, SDLTest_Md5Context::in, int, NULL, and SDLTest_Md5Transform().

Referenced by SDLTest_GenerateExecKey(), and SDLTest_Md5Final().

## Variable Documentation

unsigned char MD5PADDING[64]

static

Initial value:
= {
0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
}

Definition at line 61 of file SDL_test_md5.c.

Referenced by SDLTest_Md5Final().